Skip to content

Get a task

GET
/tasks/{id}
curl --request GET \
--url https://example.com/api/v1/tasks/example

Fetches a task by id. A task whose component is out of the caller’s read scope is a non-disclosing 404. Gated by task:read.

id
required

The task’s content-addressed id

string

The task’s content-addressed id

OK

Media type application/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
display_name
string
enabled
required
boolean
id
required
string
interface_id
required

The interface’s surrogate id this task runs over

string
mode
required
string
node

The node placement name, projected from the interface

string
node_id

The placed node’s id; the stable form of node

string
spec

The inline probe settings (jsonb)

Example
{
"$schema": "/api/v1/schemas/TaskBody.json"
}

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}